#/usr/bin/env bash

source ~/shgen/lasfunciones.sh
source ~/adem8/adem8_func.sh

#Sequence of steps to do in the next run
coreg_ast='n'
clean='y'

#Define general dirs with data & outputs
adem8=/u01/jmcb/0stacks/hofs_2008_2020/dems/hofs_adem_isn93_sub4m_align
sp5_1d=/u01/jmcb/0sp/sp5/hofs_2002_2014/onedaymos
sp5_2d=/u01/jmcb/0sp/sp5/hofs_2002_2014/twodaymos
#ast=/u01/jmcb/2aster/hofs_2008_2012_l1a/030643473918191/asp_results_mgm_sdsp

ast=/u01/jmcb/2aster/Hofsjokull_Joaquin/dems
pyfilt=/u01/jmcb/stacks/pyfunc/filter_median_nmad_chunks.py

main()
{
    if [ "$coreg_ast" == "y" ] ; then
        #This does not co-register ArcticDEM. For that, please use coreg_adem_lidar.sh

        outdir=/u01/jmcb/2aster/hofs_2008_2012_l1a/030643473918191/nuthcor_shean
        alignparam='-res max -mask_list glaciers -tiltcorr -polyorder 5'
        find /u01/jmcb/2aster/hofs_2008_2012_l1a/030643473918191/asp_results_mgm_sdsp -maxdepth 1 -name "*DEM.tif"  \
            | awk -v param="$alignparam" -v idem=$refcor -v outdir=$outdir '{print \
            "dem_align.py "param" -max_offset 600 -outdir "outdir,idem,$1}'  \
            | parallel -j32
    fi

    if [ "$clean" == "y" ] ; then
        echo -ne "\n------------------\n- DEM Filtering using median +/- k*NMAD of the stack -\n------------------\n"
        
        #Create Median and NMAD maps
        mean_stack=/u01/jmcb/0stacks/hofs_2003_2020/stats_stacks_asp_2003_2020/hofs_2003_2020_median.tif
        nmad_stack=/u01/jmcb/0stacks/hofs_2003_2020/stats_stacks_asp_2003_2020/hofs_2003_2020_nmad.tif

        ls $adem8/*align.tif > stack.list
        ls $sp5_1d/*med.tif >> stack.list
        ls $sp5_2d/*med.tif >> stack.list
        ls $ast/*DEM.tif >> stack.list
        #mkdir -p $spot_cl
        dem_mosaic --median --threads 48 --t_srs "${isn93}" --tr 4 -o $mean_stack -l stack.list
        dem_mosaic --nmad --threads 48 --t_srs "${isn93}" --tr 4 -o $nmad_stack -l stack.list
        rm stack.list
        #find $spot -name "*.tif" \
        #    | awk -F "/" '{print $NF}' \
        #    | awk -v pyfilt=$pyfilt -v dem=$spot -v mean=$mean_stack -v nmad=$nmad_stack -v out=$spot_cl '{print \
        #    "python3 "pyfilt,dem$1,mean,nmad,"10",out$1"_flt.tif"}' \
        #    | parallel -j4 
        #rename 's/.tif_flt.tif/_flt.tif/g' $spot_cl/*.tif
    fi
}

main
