#!/usr/bin/env bash

source ~/shgen/lasfunciones.sh

pyddem=/home/joaquin.m.belart/git/pyddem/bin

hofref=/u01/jmcb/0stacks/hofs_2003_2020/GLO30_20130101_isn93_hof_zmae.tif

sp5_1d_dir=/u01/jmcb/0sp/sp5/hofs_2002_2014/onedaymos
sp5_2d_dir=/u01/jmcb/0sp/sp5/hofs_2002_2014/twodaymos
ast_dir=/u01/jmcb/2aster/Hofsjokull_Joaquin/dems
#ast_dir=/u01/jmcb/2aster/hofs_2008_2012_l1a/030643473918191/nuthcor_shean_tiltcorr

adem_dir=/u01/jmcb/0stacks/hofs_2008_2020/dems/hofs_adem_isn93_sub4m_align_filtmednmad
lidar_dir=/u01/jmcb/0stacks/hofs_2008_2020/dems/lidar_sub4m
pleia_dir=/u01/jmcb/0stacks/hofs_2008_2020/dems/hofs_pleia

crop2lid='n'
renam_ast='n'
do_list='n'
clean_hof='n'
stack_hof='n'
do_animat='y'



main()
{
	if [ "$crop2lid" == "y" ] ; then
        find $ast_dir -name "*hugonnet.tif" | awk '{print "gdalwarp -overwrite -r cubic -t_srs EPSG:3057 -tr 30 30 -cutline /u01/jmcb/0stacks/hofs_li_2013.gpkg -crop_to_cutline -co compress=lzw -co predictor=2",$1,$1"_crp.tif"}' | parallel -j32
        find $sp5_1d_dir -name "*med.tif" | awk '{print "gdalwarp -overwrite -r cubic -t_srs EPSG:3057 -tr 30 30 -cutline /u01/jmcb/0stacks/hofs_li_2013.gpkg -crop_to_cutline -co compress=lzw -co predictor=2",$1,$1"_crp.tif"}' | parallel -j32
        find $sp5_2d_dir -name "*med.tif" | awk '{print "gdalwarp -overwrite -r cubic -t_srs EPSG:3057 -tr 30 30 -cutline /u01/jmcb/0stacks/hofs_li_2013.gpkg -crop_to_cutline -co compress=lzw -co predictor=2",$1,$1"_crp.tif"}' | parallel -j32
        find $adem_dir -name "*flt.tif" | awk '{print "gdalwarp -overwrite -r cubic -t_srs EPSG:3057 -tr 30 30 -cutline /u01/jmcb/0stacks/hofs_li_2013.gpkg -crop_to_cutline -co compress=lzw -co predictor=2",$1,$1"_crp.tif"}' | parallel -j32
    fi

	if [ "$renam_ast" == "y" ] ; then
        for dem in $ast_dir/*align.tif
        do
            shrtnam=$(echo $dem | awk -F "/" '{print $NF}' | awk -F "_" '{print $1"_"$2"_"$4"_"$5"_"$6"_"$10"_frm.tif"}' | sed 's/.tif_/_/g')
            echo "Short name: $shrtnam"
            ln -s $dem $ast_dir/$shrtnam
        done
    fi

	if [ "$do_list" == "y" ] ; then
        rm hof.list
        find $ast_dir -name "*crp.tif" > hof.list
        find $sp5_1d_dir -name "*crp.tif" >> hof.list
        find $sp5_2d_dir -name "*crp.tif" >> hof.list
        find $adem_dir -name "*crp.tif" >> hof.list
        find $pleia_dir -name "*icp.tif" >> hof.list
    fi

	if [ "$stack_hof" == "y" ] ; then
        echo "Creating list of DEMs to stacking (preproc for pyddem...)"
        echo "Check that the conda deactivate line of the .bashrc file is commented (and source ~/.bashrc if needed)"
        echo "Then use conda activate pyddem_environment"

        cat > $ast_dir/stats.txt << EOF
        MEAN, MEDIAN, STD, RMSE, COUNT
        [0.0, 0.0, 15.0, 15.0, 10000]
EOF
        cat > $sp5_1d_dir/stats.txt << EOF
        MEAN, MEDIAN, STD, RMSE, COUNT
        [0.0, 0.0, 5.0, 5.0, 10000]
EOF
        cat > $sp5_2d_dir/stats.txt << EOF
        MEAN, MEDIAN, STD, RMSE, COUNT
        [0.0, 0.0, 5.0, 5.0, 10000]
EOF
        cat > $adem_dir/stats.txt << EOF
        MEAN, MEDIAN, STD, RMSE, COUNT
        [0.0, 0.0, 1.0, 1.0, 10000]
EOF
        cat > $lidar_dir/stats.txt << EOF
        MEAN, MEDIAN, STD, RMSE, COUNT
        [0.0, 0.0, 0.3, 0.3, 10000]
EOF
        cat > $pleia_dir/stats.txt << EOF
        MEAN, MEDIAN, STD, RMSE, COUNT
        [0.0, 0.0, 0.5, 0.5, 10000]
EOF
        outdir=/u01/jmcb/0stacks/hofs_2003_2020/netcdf


        #$pyddem/stack_dems.py $(cat hof.list) -extent 456000 557000 438000 512300 -res 30 -epsg 3057 -o $outdir/hof_stack_50m.nc -c -u -add_corr
        $pyddem/stack_dems.py $(cat hof.list) -extent 456000 557000 438000 512300 -res 100 -epsg 3057 -o $outdir/hof_stack_100m_aug2022.nc -c -u -add_corr

        #Note: -ts 0.0833333333333 -> 1/12 year // -ts 0.041666666666666664 -> 1/24 year
        #$pyddem/fit_stack.py $outdir/hof_stack_50m.nc -ref_dem $hofref -ref_date '2013-01-01' -n 24 -o $outdir/hof_gpr_50m_t30d.nc -ts 0.0833333333333 #-inc_mask #
        #$pyddem/fit_stack.py $outdir/hof_stack_50m.nc -ref_dem $hofref -ref_date '2013-01-01' -n 12 -o $outdir/hof_gpr_50m_t15d.nc -ts 0.041666666666666664 #-inc_mask 
        #$pyddem/fit_stack.py $outdir/hof_stack_30m.nc -ref_dem $hofref -ref_date '2013-01-01' -n 8 -o $outdir/hof_gpr_30m_t15d.nc -ts 0.041666666666666664 #-inc_mask 
        $pyddem/fit_stack.py $outdir/hof_stack_100m_aug2022.nc -ref_dem $hofref -ref_date '2013-01-01' -n 12 -o $outdir/hof_gpr_100m_t30d.nc -ts 0.0833333333333 #-inc_mask 

    fi

	if [ "$do_animat" == "y" ] ; then
        python3 << EOF
import netCDF4
from pyddem.stack_tools import create_mmaster_stack
from pyddem.fit_tools import *
from pyddem.tdem_tools import datetime_to_yearfraction
from datetime import datetime as dt
import numpy as np
import os
ds = xr.open_dataset('/u01/jmcb/0stacks/hofs_2003_2020/netcdf/hof_gpr_100m_t30d.nc')
fig, ims = make_dh_animation(ds, fn_shp=None, month_a_year=None, figsize=(10,10), t0=None, t1=None, dh_max=20, var='z', cmap='RdYlBu', xlbl='easting (km)')
print("fig done")
write_animation(fig, ims, outfilename='/u01/jmcb/0stacks/hofs_2003_2020/netcdf/hof_gpr_100m_t30.gif')
EOF
    fi

}

main
