#!/usr/bin/env bash

source ~/shgen/lasfunciones.sh

pyddem=/home/joaquin.m.belart/git/pyddem/bin

stackdir=/u01/jmcb/0stacks/hofs_2003_2020/netcdf/
hofstack=/u01/jmcb/0stacks/hofs_2003_2020/netcdf/hof_gpr_50m_t30d.nc

aoihof=/u01/jmcb/rgi60/glims/hofs/hofs_glims.shp
icefrhofs=/u01/jmcb/0ragmac/RAGMAC_exp_data/Experiment1/Aletsch/11_rgi60_ceu_wgs84_utm32n_ale_selection_icefree.shp

do_slc="n"
do_crp="n"
do_vol="y"

main()

{
	if [ "$do_slc" == "y" ] ; then
        for yr in {2003..2020};
        do
            for month in 06;
            #for month in {05,10};
            do
                for day in {01..05};
                do
                    cdo -seldate,${yr}-${month}-$day $hofstack $stackdir/hofs_${yr}${month}${day}.nc
                done
            done
        done
    fi

	if [ "$do_crp" == "y" ] ; then

        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20030602.nc:z $stackdir/hofs_20030602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20031002.nc:z $stackdir/hofs_20031002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20040601.nc:z $stackdir/hofs_20040601.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20041001.nc:z $stackdir/hofs_20041001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20050602.nc:z $stackdir/hofs_20050602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20051001.nc:z $stackdir/hofs_20051001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20060602.nc:z $stackdir/hofs_20060602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20061002.nc:z $stackdir/hofs_20061002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20070602.nc:z $stackdir/hofs_20070602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20071002.nc:z $stackdir/hofs_20071002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20080601.nc:z $stackdir/hofs_20080601.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20081001.nc:z $stackdir/hofs_20081001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20090602.nc:z $stackdir/hofs_20090602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20091001.nc:z $stackdir/hofs_20091001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20100602.nc:z $stackdir/hofs_20100602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20101002.nc:z $stackdir/hofs_20101002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20110602.nc:z $stackdir/hofs_20110602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20111002.nc:z $stackdir/hofs_20111002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20120601.nc:z $stackdir/hofs_20120601.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20121001.nc:z $stackdir/hofs_20121001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20130602.nc:z $stackdir/hofs_20130602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20131001.nc:z $stackdir/hofs_20131001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20140602.nc:z $stackdir/hofs_20140602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20141002.nc:z $stackdir/hofs_20141002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20150602.nc:z $stackdir/hofs_20150602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20151002.nc:z $stackdir/hofs_20151002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20160601.nc:z $stackdir/hofs_20160601.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20161001.nc:z $stackdir/hofs_20161001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20170602.nc:z $stackdir/hofs_20170602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20171001.nc:z $stackdir/hofs_20171001.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20180602.nc:z $stackdir/hofs_20180602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20181002.nc:z $stackdir/hofs_20181002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20190602.nc:z $stackdir/hofs_20190602.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20191002.nc:z $stackdir/hofs_20191002.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20200601.nc:z $stackdir/hofs_20200601.tif
        #gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20201001.nc:z $stackdir/hofs_20201001.tif

        #geodiff $stackdir/hofs_200410*.tif $stackdir/hofs_200310*.tif --float -o $stackdir/ddem_200410_minus_200310
        #geodiff $stackdir/hofs_200510*.tif $stackdir/hofs_200410*.tif --float -o $stackdir/ddem_200510_minus_200410
        #geodiff $stackdir/hofs_200610*.tif $stackdir/hofs_200510*.tif --float -o $stackdir/ddem_200610_minus_200510
        #geodiff $stackdir/hofs_200710*.tif $stackdir/hofs_200610*.tif --float -o $stackdir/ddem_200710_minus_200610
        #geodiff $stackdir/hofs_200810*.tif $stackdir/hofs_200710*.tif --float -o $stackdir/ddem_200810_minus_200710
        #geodiff $stackdir/hofs_200910*.tif $stackdir/hofs_200810*.tif --float -o $stackdir/ddem_200910_minus_200810
        #geodiff $stackdir/hofs_201010*.tif $stackdir/hofs_200910*.tif --float -o $stackdir/ddem_201010_minus_200910
        #geodiff $stackdir/hofs_201110*.tif $stackdir/hofs_201010*.tif --float -o $stackdir/ddem_201110_minus_201010
        #geodiff $stackdir/hofs_201210*.tif $stackdir/hofs_201110*.tif --float -o $stackdir/ddem_201210_minus_201110
        #geodiff $stackdir/hofs_201310*.tif $stackdir/hofs_201210*.tif --float -o $stackdir/ddem_201310_minus_201210
        #geodiff $stackdir/hofs_201410*.tif $stackdir/hofs_201310*.tif --float -o $stackdir/ddem_201410_minus_201310
        #geodiff $stackdir/hofs_201510*.tif $stackdir/hofs_201410*.tif --float -o $stackdir/ddem_201510_minus_201410
        #geodiff $stackdir/hofs_201610*.tif $stackdir/hofs_201510*.tif --float -o $stackdir/ddem_201610_minus_201510
        #geodiff $stackdir/hofs_201710*.tif $stackdir/hofs_201610*.tif --float -o $stackdir/ddem_201710_minus_201610
        #geodiff $stackdir/hofs_201810*.tif $stackdir/hofs_201710*.tif --float -o $stackdir/ddem_201810_minus_201710
        #geodiff $stackdir/hofs_201910*.tif $stackdir/hofs_201810*.tif --float -o $stackdir/ddem_201910_minus_201810
        #geodiff $stackdir/hofs_202010*.tif $stackdir/hofs_201910*.tif --float -o $stackdir/ddem_202010_minus_201910

        geodiff $stackdir/hofs_200406*.tif $stackdir/hofs_200310*.tif --float -o $stackdir/ddem_200406_minus_200310
        geodiff $stackdir/hofs_200506*.tif $stackdir/hofs_200410*.tif --float -o $stackdir/ddem_200506_minus_200410
        geodiff $stackdir/hofs_200606*.tif $stackdir/hofs_200510*.tif --float -o $stackdir/ddem_200606_minus_200510
        geodiff $stackdir/hofs_200706*.tif $stackdir/hofs_200610*.tif --float -o $stackdir/ddem_200706_minus_200610
        geodiff $stackdir/hofs_200806*.tif $stackdir/hofs_200710*.tif --float -o $stackdir/ddem_200806_minus_200710
        geodiff $stackdir/hofs_200906*.tif $stackdir/hofs_200810*.tif --float -o $stackdir/ddem_200906_minus_200810
        geodiff $stackdir/hofs_201006*.tif $stackdir/hofs_200910*.tif --float -o $stackdir/ddem_201006_minus_200910
        geodiff $stackdir/hofs_201106*.tif $stackdir/hofs_201010*.tif --float -o $stackdir/ddem_201106_minus_201010
        geodiff $stackdir/hofs_201206*.tif $stackdir/hofs_201110*.tif --float -o $stackdir/ddem_201206_minus_201110
        geodiff $stackdir/hofs_201306*.tif $stackdir/hofs_201210*.tif --float -o $stackdir/ddem_201306_minus_201210
        geodiff $stackdir/hofs_201406*.tif $stackdir/hofs_201310*.tif --float -o $stackdir/ddem_201406_minus_201310
        geodiff $stackdir/hofs_201506*.tif $stackdir/hofs_201410*.tif --float -o $stackdir/ddem_201506_minus_201410
        geodiff $stackdir/hofs_201606*.tif $stackdir/hofs_201510*.tif --float -o $stackdir/ddem_201606_minus_201510
        geodiff $stackdir/hofs_201706*.tif $stackdir/hofs_201610*.tif --float -o $stackdir/ddem_201706_minus_201610
        geodiff $stackdir/hofs_201806*.tif $stackdir/hofs_201710*.tif --float -o $stackdir/ddem_201806_minus_201710
        geodiff $stackdir/hofs_201906*.tif $stackdir/hofs_201810*.tif --float -o $stackdir/ddem_201906_minus_201810
        geodiff $stackdir/hofs_202006*.tif $stackdir/hofs_201910*.tif --float -o $stackdir/ddem_202006_minus_201910

        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200410_minus_200310-diff.tif $stackdir/ddem_200410_minus_200310_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200510_minus_200410-diff.tif $stackdir/ddem_200510_minus_200410_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200610_minus_200510-diff.tif $stackdir/ddem_200610_minus_200510_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200710_minus_200610-diff.tif $stackdir/ddem_200710_minus_200610_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200810_minus_200710-diff.tif $stackdir/ddem_200810_minus_200710_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200910_minus_200810-diff.tif $stackdir/ddem_200910_minus_200810_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201010_minus_200910-diff.tif $stackdir/ddem_201010_minus_200910_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201110_minus_201010-diff.tif $stackdir/ddem_201110_minus_201010_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201210_minus_201110-diff.tif $stackdir/ddem_201210_minus_201110_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201310_minus_201210-diff.tif $stackdir/ddem_201310_minus_201210_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201410_minus_201310-diff.tif $stackdir/ddem_201410_minus_201310_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201510_minus_201410-diff.tif $stackdir/ddem_201510_minus_201410_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201610_minus_201510-diff.tif $stackdir/ddem_201610_minus_201510_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201710_minus_201610-diff.tif $stackdir/ddem_201710_minus_201610_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201810_minus_201710-diff.tif $stackdir/ddem_201810_minus_201710_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201910_minus_201810-diff.tif $stackdir/ddem_201910_minus_201810_in.tif
        #gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_202010_minus_201910-diff.tif $stackdir/ddem_202010_minus_201910_in.tif

        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200406_minus_200310-diff.tif $stackdir/ddem_200406_minus_200310_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200506_minus_200410-diff.tif $stackdir/ddem_200506_minus_200410_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200606_minus_200510-diff.tif $stackdir/ddem_200606_minus_200510_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200706_minus_200610-diff.tif $stackdir/ddem_200706_minus_200610_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200806_minus_200710-diff.tif $stackdir/ddem_200806_minus_200710_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_200906_minus_200810-diff.tif $stackdir/ddem_200906_minus_200810_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201006_minus_200910-diff.tif $stackdir/ddem_201006_minus_200910_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201106_minus_201010-diff.tif $stackdir/ddem_201106_minus_201010_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201206_minus_201110-diff.tif $stackdir/ddem_201206_minus_201110_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201306_minus_201210-diff.tif $stackdir/ddem_201306_minus_201210_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201406_minus_201310-diff.tif $stackdir/ddem_201406_minus_201310_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201506_minus_201410-diff.tif $stackdir/ddem_201506_minus_201410_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201606_minus_201510-diff.tif $stackdir/ddem_201606_minus_201510_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201706_minus_201610-diff.tif $stackdir/ddem_201706_minus_201610_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201806_minus_201710-diff.tif $stackdir/ddem_201806_minus_201710_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_201906_minus_201810-diff.tif $stackdir/ddem_201906_minus_201810_in.tif
        gdalwarp -overwrite -cutline $aoihof -crop_to_cutline -co compress=lzw -co predictor=2 $stackdir/ddem_202006_minus_201910-diff.tif $stackdir/ddem_202006_minus_201910_in.tif

        #gdalwarp -overwrite -cutline $aoiale1 -crop_to_cutline -co compress=lzw -co predictor=2 $tifdir/ale_20170916_minus_20110916-diff.tif $tifdir/ale_20170916_minus_20110916_1_in.tif
        #gdalwarp -overwrite -cutline $icefrale -crop_to_cutline -co compress=lzw -co predictor=2 $tifdir/ale_20170916_minus_20110916-diff.tif $tifdir/ale_20170916_minus_20110916_out.tif
    fi

	if [ "$do_vol" == "y" ] ; then
        #rm gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_200410_minus_200310_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2004",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_200510_minus_200410_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2005",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_200610_minus_200510_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2006",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_200710_minus_200610_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2007",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_200810_minus_200710_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2008",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_200910_minus_200810_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2009",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201010_minus_200910_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2010",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201110_minus_201010_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2011",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201210_minus_201110_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2012",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201310_minus_201210_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2013",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201410_minus_201310_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2014",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201510_minus_201410_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2015",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201610_minus_201510_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2016",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201710_minus_201610_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2017",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201810_minus_201710_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2018",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201910_minus_201810_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2019",$2}' >> gbn_2003_2020.vol
        #~/pygen/pyvol_glacier.py $stackdir/ddem_201910_minus_201810_in.tif 0 3 $aoihof 0.85 | grep "B:" | awk -F":" '{print "2020",$2}' >> gbn_2003_2020.vol

        rm gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_200406_minus_200310_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2004",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_200506_minus_200410_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2005",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_200606_minus_200510_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2006",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_200706_minus_200610_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2007",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_200806_minus_200710_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2008",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_200906_minus_200810_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2009",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201006_minus_200910_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2010",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201106_minus_201010_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2011",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201206_minus_201110_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2012",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201306_minus_201210_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2013",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201406_minus_201310_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2014",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201506_minus_201410_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2015",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201606_minus_201510_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2016",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201706_minus_201610_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2017",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201806_minus_201710_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2018",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201906_minus_201810_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2019",$2}' >> gbw_2003_2020.vol
        ~/pygen/pyvol_glacier.py $stackdir/ddem_201906_minus_201810_in.tif 0 3 $aoihof 0.6 | grep "B:" | awk -F":" '{print "2020",$2}' >> gbw_2003_2020.vol
        

    fi
}

main

